
Foreman - Bug #5777

filters page 500 on search

05/17/2014 04:05 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Search   

Target version: 1.5.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1098717 Red Hat JIRA:  

Pull request:    

Description

Tried searching for the word lifecycle on Filters UI page

ActiveRecord::UnknownAttributeError (Filter(id: integer, search: text, role_id: integer, created_at: datetime, updated_at: datetime,

taxonomy_search: text) doesn't have column :limited.):

app/controllers/filters_controller.rb:8:in `index'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Associated revisions

Revision aec2cede - 06/19/2014 02:51 PM - Joseph Magen

fixes #5777 - search on filters returns error

Revision 1e851f12 - 07/28/2014 07:20 AM - Joseph Magen

fixes #5777 - search on filters returns error

(cherry picked from commit aec2cede96978ac395ba2670e2ce7048c9729cdc)

History

#1 - 05/17/2014 04:05 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1098717

#2 - 05/19/2014 07:27 AM - Dominic Cleal

- Category changed from Web Interface to Search

#3 - 06/19/2014 02:54 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

- Target version set to 1.8.1

- translation missing: en.field_release set to 18

https://github.com/theforeman/foreman/pull/1522

#4 - 06/19/2014 03:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset aec2cede96978ac395ba2670e2ce7048c9729cdc.
